Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Ошибка репозитория и отказ приложения "Программы и обновления"  (Прочитано 1225 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн RomTurino

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Здравствуйте, уважаемое комьюнити!
Не так давно (вчера) установил Ubuntu 20.04.1, установил туда google chrome, zoom и попытался еще обновить python с pycharm. Все остальное - из коробки.
И сейчас настигла проблема. Она вся - в скриншоте экрана.
Не проходят обновления, говорится, что из-за испорченного репозитория (худо-бедно, понял, что это такое). Прошел по ссылке в ошибке - файл Release нахожу. Погуглил, где репозитории хранятся, нашел нужный, попробовал поменять - ничего.
Попробовал найти в интернете, как он должен выглядеть - ничего.

Еще нашел в качестве решения отключить сей репозиторий в "программах и обновлении", но тут возникла проблема - приложение просто не открывается. Даже ошибок не пишет. Также с некоторыми другими приложениями. Они просто некоторое время изображают загрузку - а потом ничего не происходит. Количество слов "ничего" в описании подходит к отметке "зашкаливает".

Добавлю еще: когда я жму на любой из пунктов в правом верхнем меню(на скриншоте его открыл) - ничего не происходит и не открывается.

Уже пробовал и sudo aptget install,и sudo aptget update, и sudo aptget upgrate - ничего.

Пользователь добавил сообщение 24 Сентября 2020, 11:04:56:
Текст ошибки следующий:
Репозиторий «https://dl.winehq.org/wine-builds/ubuntu/dists/focal focal Release» не содержит файла Release.Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'Sub-process returned an error code
« Последнее редактирование: 24 Сентября 2020, 11:04:56 от RomTurino »

Оффлайн RomTurino

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Здравствуйте, уважаемое комьюнити!
Не так давно (22 сентября 2020) установил Ubuntu 20.04.1, установил туда google chrome, zoom и попытался еще обновить python с pycharm. Все остальное - из коробки.
И сейчас настигла проблема. Она вся - в скриншоте экрана.
Не проходят обновления, говорится, что из-за испорченного репозитория (худо-бедно, понял, что это такое). Прошел по ссылке в ошибке - файл Release нахожу. Погуглил, где репозитории хранятся, нашел нужный, попробовал поменять - ничего.
Попробовал найти в интернете, как он должен выглядеть - ничего.

Еще нашел в качестве решения отключить сей репозиторий в "программах и обновлении", но тут возникла проблема - приложение просто не открывается. Даже ошибок не пишет. Также с некоторыми другими приложениями. Они просто некоторое время изображают загрузку - а потом ничего не происходит. Количество слов "ничего" в описании подходит к отметке "зашкаливает".

Добавлю еще: когда я жму на любой из пунктов в правом верхнем меню(на скриншоте его открыл) - ничего не происходит и не открывается.



Текст ошибки следующий:
Репозиторий «https://dl.winehq.org/wine-builds/ubuntu/dists/focal focal Release» не содержит файла Release.Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'Sub-process returned an error code

В терминале выводится то же самое, но могу отдельный скриншот сделать

Пользователь добавил сообщение 24 Сентября 2020, 12:14:46:
Если совсем нет идей, что это, то подскажите,пожалуйста, хоть, как через терминал зайти в "Программы и обновления"(Software & Updates), а то я в глубочайшей растерянности, что делать: Линукс вижу третий день в своей жизни
« Последнее редактирование: 24 Сентября 2020, 12:14:46 от RomTurino »

Оффлайн valrust

  • Активист
  • *
  • Сообщений: 363
    • Просмотр профиля
Судя по сриншоту у вас подключен репозиторий от Wine, но не импортирован отрытый ключ репозитория.

Если это репозиторий не нужен, то его можно удалить:
Код: (Bash) [Выделить]
sudo rm /etc/apt/source.list.d/winehq.*
sudo apt update

Если репозиторий хотите оставить, то нужно импортировать его открытый PGP ключ:
Код: (Bash) [Выделить]
wget -qO -  https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -
sudo apt update

Оффлайн RomTurino

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Большое спасибо за ответ! Я уже почти отчаялся)
Попробовал оба способа: порассудил, что можно было б сначала добавить ключ, а уже потом, если не получится, то удалить репозиторий.
1. -  https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -
[sudo] пароль для roman:
OK
Вот такой простой "ОК" я получил на добавление ключа. Правда, при обновлении через вторую команду, проблема все также осталась.
2. Попробовал удалить. Результат - прикрепил бы скрин, если бы система позволяла по объему. Он не видит этот файл, хоть я пробовал разные способы написания и файл находится действительно в этой директории, я даже графически ее открыл.
3. Дальше попробовал вручную удалить этот файл оттуда...и о да! Та проблема исчезла)) Спасибо за это, мил человек)
Только... появились теперь новые ошибки, они на скриншоте

Прочитайте правила:
Цитировать
Правила форума
1.5. Для добавления графических изображений в сообщения требуется использовать внешние сервисы. Включение в сообщение полноразмерных изображений, превышающих разрешённые размеры, допускается исключительно в виде превью. Подробную инструкцию, а так же список рекомендованных и запрещенных сервисов можно посмотреть в «Руководстве по добавлению изображений на форум»

--Aleksandru
« Последнее редактирование: 24 Сентября 2020, 17:28:12 от Aleksandru »

Оффлайн Onlininer

  • Активист
  • *
  • Сообщений: 388
    • Просмотр профиля

Оффлайн valrust

  • Активист
  • *
  • Сообщений: 363
    • Просмотр профиля
Только... появились теперь новые ошибки, они на скриншоте
Судя по ошибкам на скриншоте в системе нет некоторых программ. Попробуйте их восстановить:
Код: (bash) [Выделить]
sudo apt install --reinstall py3clean py3compile

Оффлайн RomTurino

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Я уже конкретно туплю, поэтому прошу прощения.
Е: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'
E: Sub-process returned an error code

На sudo apt update выдает именно это. Попробовал уже метод от предыдущего комментатора с переустановкой Вайна, но не сработало.
Активную версию Питона он показывает 2.7, хотя я пробовал установить python3, python3.6, python 3.7..
Возможно, в этом проблема. Не думал, что на самом начале знакомства с Линуксом придется донимать комьюнити, но теперь, спустя пару дней самостоятельного поиска, решил просить помощи снова: а то усугублю помоложение :idiot2:

$ sudo apt install --reinstall py3clean py3compile
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Невозможно найти пакет py3clean
E: Невозможно найти пакет py3compile

Оффлайн valrust

  • Активист
  • *
  • Сообщений: 363
    • Просмотр профиля
Е: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'
E: Sub-process returned an error code

Проверьте есть ли в системе файл /usr/lib/cnf-update-db
Код: (bash) [Выделить]
ls -l /usr/lib/cnf-update-db

Пользователь добавил сообщение 30 Сентября 2020, 22:35:21:
$ sudo apt install --reinstall py3clean py3compile
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Невозможно найти пакет py3clean
E: Невозможно найти пакет py3compile

Я немного ошибся нужно ставить пакет python3-minimal
Код: (bash) [Выделить]
sudo apt install --reinstall python3-minimal
« Последнее редактирование: 30 Сентября 2020, 22:36:15 от valrust »

Оффлайн vladimirzhuravlev

  • Старожил
  • *
  • Сообщений: 1485
    • Просмотр профиля
 Как по мне, так проще систему переустановить (что я в таких случаях и делаю)
и никогда не лезу ставить-обновлять python... с моими-то познаниями,
хоть и сижу плотненько на linux пару лет.
 С синаптика вайн не ставь и из приложений, а то налепит ошибок...
обновляем 386 архитектуру
$ sudo dpkg --add-architecture i386
Качаем-устанавливаем ключ
$ wget -nc https://dl.winehq.org/wine-builds/winehq.key
$ sudo apt-key add winehq.key
Добавляем репозиторий
$ sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'
Обновляем пакеты
$ sudo apt update
Устанавливаем стабильную версию
$ sudo apt install --install-recommends winehq-stable

« Последнее редактирование: 30 Сентября 2020, 23:36:37 от vladimirzhuravlev »

Оффлайн jurganov

  • Активист
  • *
  • Сообщений: 856
    • Просмотр профиля
Уже пробовал и sudo aptget install,и sudo aptget update, и sudo aptget upgrate - ничего.
Так не делается!
Необходимо ввести в терминал команду, получить вывод, а потом скопировать команду вместе с выводом и вставить сюда.
уверен, что ваше sudo aptget install выдаст типа
$ zjdf
zjdf: команда не найдена
так как команды aptget не существует.. есть или apt или apt-get - используйте apt

Оффлайн RomTurino

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Е: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'
E: Sub-process returned an error code

Проверьте есть ли в системе файл /usr/lib/cnf-update-db
Код: (bash) [Выделить]
ls -l /usr/lib/cnf-update-db

Я немного ошибся нужно ставить пакет python3-minimal
Код: (bash) [Выделить]
sudo apt install --reinstall python3-minimal

~$ ls -l /usr/lib/cnf-update-db
-rwxr-xr-x 1 root root 684 авг  3 14:10 /usr/lib/cnf-update-db
roman@roman-H61M-D2-B3:~$ sudo apt install --reinstall python3-minimal
[sudo] пароль для roman:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  python3-aptdaemon python3-aptdaemon.gtk3widgets
Следующие пакеты будут обновлены:
  python3-aptdaemon python3-aptdaemon.gtk3widgets
Обновлено 2 пакетов, установлено 0 новых пакетов, переустановлено 1 пакетов, для удаления отмечено 0 пакетов, и 38 пакетов не обновлено.
Установлено или удалено не до конца 5 пакетов.
Необходимо скачать 0 B/89,3 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 0 B.
Хотите продолжить? [Д/н] д
E: Internal Error, No file name for python3-minimal:amd64


Попробовал - ничего не вышло. У меня почему-то в системе сразу была установлена python 2.7, и ее никак не получилось заменить...Что будет, если я воспользуюсь командой purge и попробую просто удалить результаты попыток установить третью версию?



Пользователь добавил сообщение 01 Октября 2020, 08:39:16:
так как команды aptget не существует.. есть или apt или apt-get - используйте apt
Да, перепутал немного, когда записывал, прошу прощения. Я использовал apt-get, apt тоже ничего не дало.

Пользователь добавил сообщение 01 Октября 2020, 08:45:35:
С синаптика вайн не ставь и из приложений, а то налепит ошибок...
обновляем 386 архитектуру
$ sudo dpkg --add-architecture i386
Качаем-устанавливаем ключ
$ wget -nc https://dl.winehq.org/wine-builds/winehq.key
$ sudo apt-key add winehq.key
Добавляем репозиторий
$ sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'
Обновляем пакеты
$ sudo apt update
Устанавливаем стабильную версию
$ sudo apt install --install-recommends winehq-stable


Как ни странно, я нашел это, когда сам лазил на форумах, попробовал последовать этому - но не получилось, все писал, что нет такого ключа или нет такой команды. Уже начинаю подумывать о том, чтобы действительно переустановить Ubuntu...Просто когда я первый раз устанавливал его, у меня слетела седьмая винда (ставил их рядом), пришлось переустанавливать и то, и другое
« Последнее редактирование: 01 Октября 2020, 08:45:35 от RomTurino »

Оффлайн vladimirzhuravlev

  • Старожил
  • *
  • Сообщений: 1485
    • Просмотр профиля
у меня слетела седьмая винда (ставил их рядом), пришлось переустанавливать и то, и другое
Сама винда не слетает, слетает её загрузчик что легко правится. А 7 винда или ещё какая разницы нет. Главное ставить ОС в одном режиме и правильно задать путь для граба имея уже установленную винду. И потерпи немножко с обновлениями вновь установленного, Linux, что за болезнь такая у некоторых постоянно обновлятся ? Ну с виндой понятно, лечат дырявую защиту, тут-то чего бояться ?

 

Страница сгенерирована за 0.032 секунд. Запросов: 25.